Agent
Create Agent Conversation
POST
/
agent
/
conversations
Create Agent Conversation
curl --request POST \
--url https://api.aspect.inc/agent/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
'import requests
url = "https://api.aspect.inc/agent/conversations"
payload = {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
share_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>'
})
};
fetch('https://api.aspect.inc/agent/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active",
"last_activity_at": "2023-11-07T05:31:56Z",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"share_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"has_active_run": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
BearerAuthApiKeyAuth
JWT in Authorization header. 'Bearer ' prefix optional.
Body
application/json
Workspace that scopes the conversation
Optional project that scopes the conversation
Optional share link that scopes the conversation
Existing conversation to resume
Optional conversation title
Response
Successful Response
Conversation ID
Workspace that scopes the conversation
User that owns the conversation
Conversation status
Available options:
active, archived Last timestamp for activity inside the conversation
Creation timestamp
Last update timestamp
Project that scopes the conversation
Share link that scopes the conversation
Conversation title
Whether the conversation has a non-terminal agent run
⌘I
Create Agent Conversation

